Name:           perl-Math-BigInt-GMP
Version:        1.40
Release:        1%{?dist}
Summary:        Use the GMP library for Math::BigInt routines
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Math-BigInt-GMP/
Source0:        http://search.cpan.org/CPAN/authors/id/P/PJ/PJACKLAM/Math-BigInt-GMP-%{version}.tar.gz
# Module Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  gmp-devel
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.75
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(lib)
BuildRequires:  perl(Text::ParseWords)
# Module Runtime
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(XSLoader) >= 0.02
# Test Suite
BuildRequires:  perl(Math::BigFloat) >= 1.994
BuildRequires:  perl(Math::BigInt) >= 1.9994
BuildRequires:  perl(Pod::Coverage) >= 0.18
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
BuildRequires:  perl(threads)
BuildRequires:  perl(warnings)
# Runtime
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
Provides support for big integer calculations by means of the GMP library, as
a replacement (drop-in) module for Math::BigInt's core, Math::BigInt::Calc.pm.
Math::BigInt::GMP does not use Math::GMP, but provides its own XS layer to
access the GMP library. This cuts out another (perl subroutine) layer and
also reduces the memory footprint by not loading Math::GMP and Carp at all.

%prep
%setup -q -n Math-BigInt-GMP-%{version}

# Get rid of bogus exec permissions
chmod -c -x CHANGES lib/Math/BigInt/GMP.pm

%build
perl Makefile.PL \
  INSTALLDIRS=vendor \
  OPTIMIZE="%{optflags}" \
  NO_PACKLIST=1 \
  NO_PERLLOCAL=1
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test

%files
%license LICENSE
%doc BUGS CHANGES CREDITS README TODO
%{perl_vendorarch}/auto/Math/
%{perl_vendorarch}/Math/
%{_mandir}/man3/Math::BigInt::GMP.3*

%changelog
* Wed Aug 19 2015 Paul Howarth <paul@city-fan.org> - 1.40-1
- Update to 1.40
  - Add changes for the newest release
  - Reorder change entries into descending chronological order
  - Update bundled Devel::CheckLib from v1.01 to v1.03
  - Update required version of Math-BigInt to 1.9994
  - Various test fixes to ensure correct backend is used
  - Rather than an early exit(), use skip() to skip tests

* Tue Aug 18 2015 Paul Howarth <paul@city-fan.org> - 1.39-1
- Update to 1.39
  - Updated test files with those from Math-BigInt-1.9997

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.38-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.38-2
- Perl 5.22 rebuild

* Tue Jun 02 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.38-2
- Fixed test scripts for Perl 5.22 (CPAN RT#96113)

* Thu Nov 13 2014 Paul Howarth <paul@city-fan.org> - 1.38-1
- Update to 1.38
  - Updated test files from the Math::BigInt distribution
  - Updated POD
  - Updated bundled Devel::CheckLib from v0.93 to v1.01
- Classify buildreqs by usage
- Use features from recent EU::MM since we need Math::BigInt ≥ 1.9993
- Always run the test suite
- Improve %%summary and %%description
- Use %%license
- Make %%files list more explicit
- Remove spurious exec permissions from text files
- Don't need to remove empty directories from the buildroot
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Don't use macros for commands

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.37-8
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.37-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.37-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.37-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 19 2013 Petr Pisar <ppisar@redhat.com> - 1.37-4
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.37-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 Petr Pisar <ppisar@redhat.com> - 1.36-4.1
- Perl 5.16 rebuild
- Update to 1.37

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.36-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 12 2011 Peter Schiffer <pschiffe@redhat.com> - 1.36-2.1
- rebuild with new gmp

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.36-2
- Perl mass rebuild

* Sat Jun 18 2011 Iain Arnell <iarnell@gmail.com> 1.36-1
- update to latest upstream version to fix perl-5.14 FTBFS
- clean up spec for modern rpmbuild
- use perl_default_filter

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Steven Pritchard <steve@kspei.com> 1.32-1
- Update to 1.32.
- Update Source0 URL.
- BR threads.

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.24-7
- 661697 rebuild for fixing problems with vendorach/lib

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.24-6
- Mass rebuild with perl-5.12.0

* Tue Dec 15 2009 Stepan Kasal <skasal@redhat.com> - 1.24-5
- skip check in distributions with perl-5.8

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.24-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun May 18 2008 Steven Pritchard <steve@kspei.com> 1.24-1
- Specfile autogenerated by cpanspec 1.75.
- BR Test::More, Test::Pod, Test::Pod::Coverage, and gmp-devel.
